grantlee 5.0 in Debian sid / Qt 5.4

Jump to: navigation, search

I am building KDE Frameworks in Debian SID. There is an error while building kdevplatform because grantlee5 is not found.

Message in the cmake logfile: Could not find a package configuration file provided by "Grantlee5"

I searched the Debian experimental repository and could not find it.

As a solution, I downloaded and installed grantlee-5.0.0.tar.gz from https://www.gitorious.org/grantlee/pages/Home (click on http://downloads.grantlee.org).

Now kdevplatform is built just fine.

00:12, 23 March 2015

Thanks for the report. Sorry for the late reply. I didn't check the wiki messages. Did you edit the wiki page to reflect your findings?

09:32, 9 August 2015

Sorry now for my late reply... I did not update the wiki about grantlee. In fact I could not complete the rest of the building at the time. I am going to try building KF5.17 in Debian Testing now. If there is anything that is not reflected in the wiki and I succeed the building, I'll share it here and on the wiki. Regards!

20:13, 18 December 2015